NET Framework and Windows 7

  SURVEY 20:42 01 Sep 10
Locked

A friend has recently received a laptop running Windows 7. On booting a message is displayed stating 'Required System Software not installed Microsoft .NET Framework Version 2.0 is required to continue.'

By 'X'ing out the message one can continue OK. However if one goes to the MS download site ther are several .NET 2.0 downloads and none say suitable for Windows 7. I cannot believ that the program is actaully needed so how can I deal with it. No problem in downloading it if MS were able to direct me to the correct file to download. Their link is to a whole series of .NET downloads.

  SURVEY 20:45 01 Sep 10

In addition to my posting - if this download is necessary why does it not show up in WEindows Updates?

  SURVEY 21:50 01 Sep 10

I also should have added that MS .NET framework 3.5 came installed and I have tried disabling and enabling to no different effect.

  northumbria61 22:48 01 Sep 10

I have Windows 7 64bit installed - In SERVICES I have the following;-
1. v2.0 50727_x64 - DISABLED
2. v2.0 50727_x86 - DISABLED
3. v4.0 30319_x64 - AUTOMATIC
4. v4.0 30319_x86 - AUTOMATIC

Have a look in SERVICES and change accordingly
then maybe you should get update v 4.0

Hope this helps

  northumbria61 22:50 01 Sep 10

You can download V 4.0 from here - click here

  SURVEY 22:54 01 Sep 10

All I can find under Services is Microsoft NET NGEN v.4 30319_X86 and X64

  northumbria61 23:02 01 Sep 10

That's it - if you look at the description.

  northumbria61 23:08 01 Sep 10

Which version of Windows 7 are you running 32bit or 64bit? - X86 refers to 32bit O.S and X64 to 64bit O.S.

  SURVEY 23:09 01 Sep 10

Looking through Services I now note that there are references to v4 and also v.2.0. V.4 ones are enabled but v.2.0 are stopped. I am presently downloading v.4 from your link. Should I make v.2.0 enabled?

  SURVEY 23:18 01 Sep 10

Windows 7 Home Premium 64 bit. Also found I cannot enable v.2.0 as it says access is denied.

  northumbria61 23:18 01 Sep 10

You shouldn't need to enable v.2.0

There is also a LINK here if you want to verify versions - click here


This .NET Framework setup verification tool is designed to automatically perform a set of steps to verify the installation state of one or more versions of the .NET Framework on a computer. It will verify the presence of files, directories, registry keys and values for the .NET Framework. It will also verify that simple applications that use the .NET Framework can be run correctly.

This thread is now locked and can not be replied to.

How to get Windows 10 for free | How to install Windows 10: There is still a way to avoid paying…

1995-2015: How technology has changed the world in 20 years

Alex Chinneck’s giant ice cube Christmas tree at Kings Cross

Apple rumours & predictions 2017: The iPhone 8, new iPads, and everything else you should expect fr7…